package md

// 用户拥有上传权限的目录, 目录ID

const (
	FILE_DIR_IMAGE = "image"
	FILE_DIR_VIDEO = "video"
	FILE_DIR_FILE  = "file"
)

var (
	FileUserDir = map[string]string{
		FILE_DIR_IMAGE: "1", // 图片上传
		FILE_DIR_VIDEO: "2", // 视频上传
		FILE_DIR_FILE:  "3", // 文件上传
	}
)

// 文件回调信息
type FileCallback struct {
	Uid      string `json:"uid"`
	DirId    string `json:"dir_id"`
	Provider string `json:"provider"` // 供应商
	FileName string `json:"fname"`    // 原文件名
	FileSize string `json:"fsize"`
	Hash     string `json:"hash"`
	Bucket   string `json:"bucket"`
	Mime     string `json:"mime"`
	Width    string `json:"w,omitempty"`
	Height   string `json:"h,omitempty"`
	Time     string `json:"time"` // 默认一个小时内要上传完毕,否则超时
	Sign     string `json:"sign"` // 签名
}
